Subject: ICMP packets - ll_temac with Microblaze

From: Michal Simek <[email-masked]>
Date: Wed, 21 Dec 2011 11:11:37 +0100

Hi Eric and David,

I have found one problem with ll_temac driver and
this commit: net: more accurate skb truesize
sha1: 87fb4b7b533073eeeaed0b6bf7c2328995f6c075

The problem is only with icmp packets from the target. It is sent and driver receive it
but it is not proceed to the application.

The problem I see is that kmalloc_node_track_caller allocate
specific size and then this size is changed by SKB_WITH_OVERHEAD(ksize(data)).
The problem is with netdev_alloc_skb_ip_align which calls __alloc_skb function.

Currently driver uses setting for jumbo frames (9k). When I change it to use mtu (1,5k) then
everything is ok.

Can you give me some hints what can be wrong?

Thanks,
Michal

-- 
Michal Simek, Ing. (M.Eng)
w: www.monstr.eu p: +42-0-721842854
Maintainer of Linux kernel 2.6 Microblaze Linux - http://www.monstr.eu/fdt/
Microblaze U-BOOT custodian